Please sync squidguard 1.4-2 (universe) from Debian unstable (main).

Bug #599245 reported by Bhavani Shankar on 2010-06-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
squidguard (Ubuntu)
Wishlist
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/squidguard
 status new
 importance wishlist
 subscribe ubuntu-sponsors

Please sync squidguard 1.4-2 (universe) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:

We can sync this package as debian has added alternative dependency on
libdb4.7-dev thus taking care of libdb transition

Changelog since current maverick version 1.2.0-9ubuntu1:

squidguard (1.4-2) unstable; urgency=low

  * debian/copyright:
    - reorganize format (see DEP-5).
    - add special copyright and license for some files.
  * Fix for IA64: move setuserinfo() to sg.y.in.
  * Add danish debconf translation. (Closes: #586954)

 -- Joachim Wiedorn <email address hidden> Fri, 25 Jun 2010 17:42:24 +0200

squidguard (1.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #372709, #491673, #535158)
  * New Debian maintainer. (Closes: #576169)
  * Bump DH compatibility level to V7.
  * debian/control:
    - Set debhelper version to >= 7.0.15.
    - Bump Standards-Version to 3.8.4.
    - Add build dependency libdb4.7-dev. (Closes: #548489)
    - Remove suggestion to chastity-list. (Closes: #514636)
    - Add Vcs Git and Browser URLs.
    - Add Upstream homepage URL.
  * Move to source format 3.0 (quilt).
  * Update path in debian/watch.
  * Update and formatting debian/copyright.
  * Update 'update-squidguard' for use with Squid3. (Closes: #541602)
  * debian/README.Debian:
    - Update hints about Squid / Squid3 configuration. (Closes: #403875)
    - Remove old hint to chastity-list.
    - Update and refine some information and use headlines.
  * debian/patches:
    - Patch for use of $DESTDIR in Makefile.
    - Security: Patch for buffer overflow in sgLog.c (Fixes: CVS-2009-3700).
    - Security: Patch for buffer overflow in sgDiv.c (Fixes: CVS-2009-3826).
    - Patch for update links in documentation.
  * Add debian/postrm for removing etc/default/squidguard. (Closes: #385093)
  * Add 'set -e' in debian/postinst.
  * Remove unusable and old manpages in debian directory.
  * Add new (rewritten) manual pages.
  * Some changes in package configuration files.
  * Split package: add config for squidguard-doc package.
  * Use simple DH-syntax for debian/rules.
  * Set debhelper version to >= 7.0.50.

 -- Joachim Wiedorn <email address hidden> Wed, 02 Jun 2010 22:18:45 +0200

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwoR2IACgkQUlfC4uPMy3SExACfUeGc2OD+lbqE/rd+/EBNtOrh
MQQAn3eEiFdqeUMLo7rZEQ6ggI+feRkF
=/wFb
-----END PGP SIGNATURE-----

Changed in squidguard (Ubuntu):
assignee: nobody → Stefano Rivera (stefanor)
status: New → In Progress
Stefano Rivera (stefanor) wrote :

Sync request ACK'd.

Changed in squidguard (Ubuntu):
assignee: Stefano Rivera (stefanor) → nobody
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package squidguard - 1.4-2

---------------
squidguard (1.4-2) unstable; urgency=low

  * debian/copyright:
    - reorganize format (see DEP-5).
    - add special copyright and license for some files.
  * Fix for IA64: move setuserinfo() to sg.y.in.
  * Add danish debconf translation. (Closes: #586954)

squidguard (1.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #372709, #491673, #535158)
  * New Debian maintainer. (Closes: #576169)
  * Bump DH compatibility level to V7.
  * debian/control:
    - Set debhelper version to >= 7.0.15.
    - Bump Standards-Version to 3.8.4.
    - Add build dependency libdb4.7-dev. (Closes: #548489)
    - Remove suggestion to chastity-list. (Closes: #514636)
    - Add Vcs Git and Browser URLs.
    - Add Upstream homepage URL.
  * Move to source format 3.0 (quilt).
  * Update path in debian/watch.
  * Update and formatting debian/copyright.
  * Update 'update-squidguard' for use with Squid3. (Closes: #541602)
  * debian/README.Debian:
    - Update hints about Squid / Squid3 configuration. (Closes: #403875)
    - Remove old hint to chastity-list.
    - Update and refine some information and use headlines.
  * debian/patches:
    - Patch for use of $DESTDIR in Makefile.
    - Security: Patch for buffer overflow in sgLog.c (Fixes: CVS-2009-3700).
    - Security: Patch for buffer overflow in sgDiv.c (Fixes: CVS-2009-3826).
    - Patch for update links in documentation.
  * Add debian/postrm for removing etc/default/squidguard. (Closes: #385093)
  * Add 'set -e' in debian/postinst.
  * Remove unusable and old manpages in debian directory.
  * Add new (rewritten) manual pages.
  * Some changes in package configuration files.
  * Split package: add config for squidguard-doc package.
  * Use simple DH-syntax for debian/rules.
  * Set debhelper version to >= 7.0.50.
 -- Bhavani Shankar <email address hidden> Fri, 25 Jun 2010 17:42:24 +0200

Changed in squidguard (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers